%define upstream_name    Daemon-Daemonize
%define upstream_version 0.0052

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    An easy-to-use daemon(izing) toolkit
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Daemon/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(POSIX)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::Most)
BuildArch: noarch

%description
Daemon::Daemonize is a toolkit for daemonizing processes and checking up on
them. It takes inspiration from the
http://www.clapper.org/software/daemonize/ manpage, the MooseX::Daemon
manpage, the Net::Server::Daemon manpage

A note about the 'close' option
    If you're having trouble with IPC in a daemon, try closing only STD*
    instead of everything:

        daemonize( ..., close => std, ... )

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.5.200-3.mga4
+ Revision: 510471
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.5.200-2.mga3
+ Revision: 365242
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 24 2012 shlomif <shlomif> 0.5.200-1.mga3
+ Revision: 309774
- imported package perl-Daemon-Daemonize


* Wed Oct 24 2012 cpan2dist 0.0052-1mga
- initial mageia release, generated with cpan2dist
